Soporte » Instalación – Actualizaciones » Problema Crítico con Zona Horaria

  • diegoxntvo

    (@diegoxntvo)


    Hola!

    Durante varios meses he estado batallando con un problema crítico que me aparece al realizar el análisis de la salud del sitio, el problema me manda el mensaje:

    «No es válida la zona horaria predeterminada para PHP»
    La zona horaria predeterminada de PHP ha cambiado después de cargar WordPress por una llamada de la función date_default_timezone_set(). Esto interfiere con los cálculos correctos de fechas y horas.

    Estuve consultado a mis proveedores de host para que me apoyaran a resolver el problema pero no hemos logrado solucionarlo, de echo ellos me aconsejaron acudir al foro de WordPress para buscar una posible solución.

    La versión de mi WordPress está actualizada al día de hoy con la versión 5.8 pero ni así se solucionó el problema.

    Adjunto también una imagen para que visualicen el mensaje.

    https://ibb.co/yR890HQ

    La página con la que necesito ayuda: [accede para ver el enlace]

Viendo 5 respuestas - de la 1 a la 5 (de un total de 5)
  • Moderador Jose Luis

    (@jose64)

    Hola.

    Bienvenido al foro de soporte. Revisa la documentación de la función: date_default_timezone_set, ahí tienes la explicación del mensaje. Puedes buscar el archivo de errores de PHP, revisa este debate, en el tienes varios enlaces que te explican cómo usar el modo de depuración de WordPress. En los archivos de errores (log) te mostrará los avisos y errores que se producen y lo que los produce, una vez identifiques qué genera el error puedes tratar de solucionarlo.

    Normalmente se debe a que estás usando un código, tema o plugin obsoleto.

    Coméntanos tus progresos y, por favor, recuerda marcar el debate como resuelto cuando así sea, de esta forma nos ayudas a mantener el foro al día.

    Iniciador del debate diegoxntvo

    (@diegoxntvo)

    Hola @jose64 ,
    Estuve revisando el contenido que me enviaste pero no he tenido éxito, volví a crear el htcacces, modifiqué el PHP.ni con los errores que me mostraste y verifiqué los plugins que mandan error a través del log y sólo era uno, pero al desactivarlo y eliminarlo los problemas me siguen apareciendo. Después de eso desactive todos e incluso al quedarme sin plugins sigue apareciendo.

    Iniciador del debate diegoxntvo

    (@diegoxntvo)

    Hola!, alguien podría apoyarme a resolverlo?. Volví a recurrir con mi proveedor de Hosting y no pueden solucionarlo.

    Moderador Jose Luis

    (@jose64)

    Hola.

    El mensaje te indica que se llamó esa función, si desactivaste todos los plugins y sigues recibiendo el mensaje será un código personalizado que tienes instalado, al ser un problema específico de tu instalación nosotros no podemos ayudarte en ese caso.

    ¿Qué versión de PHP tienes instalada? asegúrate de tener una versión actualizada. El aviso te indica que se pueden producir errores en el cálculo de las fechas ¿esos errores se producen?, si no se producen y todo funciona correctamente puedes omitir la advertencia, si no fuese por que lo ves en el estado de salud del sitio no te enterarías.

    Iniciador del debate diegoxntvo

    (@diegoxntvo)

    Hola @jose64

    Tengo algunos códigos instalados, como son el pixel de Facebook y Google Analytics pero fueron instalados posterior al error que marca el problema. La versión de PHP que tengo es la 7.4. Tampoco tengo algún plugin que ocupe realmente la función de la fecha. Todo funciona bien, pero la advertencia me tiene intranquilo.

Viendo 5 respuestas - de la 1 a la 5 (de un total de 5)
  • Debes estar registrado para responder a este debate.